Commit c0b5e2c2 authored by Fabien Amarger's avatar Fabien Amarger

merge 3.28 into 3.29

--HG--
branch : 3.29
......@@ -22,6 +22,7 @@ lint_py:
when: never
- changes:
- "**/*.py"
- "*.py"
stage: lint
before_script:
- pip install tox
......@@ -77,7 +78,7 @@ py3_server:
- requirements/dev.txt
- requirements/test-server.txt
stage: tests
image: r.intra.logilab.fr/jenkins/jnlp:buster
image: registry.logilab.fr/logilab/infra/dockerfiles/debian-buster-slim-pg11
before_script:
- sudo apt update
- sudo DEBIAN_FRONTEND=noninteractive APT_LISTCHANGES_FRONTEND=none apt-get install -y --assume-yes -qq -o=Dpkg::Use-Pty=0 slapd ldap-utils
......@@ -99,7 +100,7 @@ py3_web:
- requirements/dev.txt
- requirements/test-web.txt
stage: tests
image: r.intra.logilab.fr/jenkins/jnlp:buster
image: registry.logilab.fr/logilab/infra/dockerfiles/debian-buster-slim-pg11
before_script:
- sudo apt update && sudo apt install -y firefox-esr
script:
......@@ -120,7 +121,7 @@ py3_misc:
- requirements/dev.txt
- requirements/test-misc.txt
stage: tests
image: r.intra.logilab.fr/jenkins/jnlp:buster
image: registry.logilab.fr/logilab/infra/dockerfiles/debian-buster-slim-pg11
before_script:
- sudo apt update && sudo apt install -y firefox-esr
script:
......@@ -131,7 +132,8 @@ py3_misc:
- /builds/cubicweb/cubicweb/py3-misc-deprecated-warnings.json
- /reports/coverage-misc.xml
py3-from-forge-server:
.py3-from-forge-server:
interruptible: true
rules:
- changes:
- cubicweb/**/*
......@@ -141,7 +143,7 @@ py3-from-forge-server:
- requirements/test-server.txt
- if: '$TRIGGERED_FROM_OTHER_PROJECT'
stage: tests
image: r.intra.logilab.fr/jenkins/jnlp:buster
image: registry.logilab.fr/logilab/infra/dockerfiles/debian-buster-slim-pg11
allow_failure: true
before_script:
- sudo apt update
......@@ -150,10 +152,14 @@ py3-from-forge-server:
paths:
- /builds/cubicweb/cubicweb/from-forge-server.html
- /builds/cubicweb/cubicweb/py3-from-forge-server-deprecated-warnings.json
reports:
junit: /builds/cubicweb/cubicweb/from-forge-server.xml
expire_in: 2 weeks
script:
- tox -e py3-from-forge-server
py3-from-forge-web:
.py3-from-forge-web:
interruptible: true
rules:
- changes:
- cubicweb/**/*
......@@ -163,7 +169,7 @@ py3-from-forge-web:
- requirements/test-web.txt
- if: '$TRIGGERED_FROM_OTHER_PROJECT'
stage: tests
image: r.intra.logilab.fr/jenkins/jnlp:buster
image: registry.logilab.fr/logilab/infra/dockerfiles/debian-buster-slim-pg11
allow_failure: true
before_script:
- sudo apt update && sudo apt install -y firefox-esr
......@@ -173,8 +179,12 @@ py3-from-forge-web:
paths:
- /builds/cubicweb/cubicweb/from-forge-web.html
- /builds/cubicweb/cubicweb/py3-from-forge-web-deprecated-warnings.json
reports:
junit: /builds/cubicweb/cubicweb/from-forge-web.xml
expire_in: 2 weeks
py3-from-forge-misc:
.py3-from-forge-misc:
interruptible: true
rules:
- changes:
- cubicweb/**/*
......@@ -184,7 +194,7 @@ py3-from-forge-misc:
- requirements/test-misc.txt
- if: '$TRIGGERED_FROM_OTHER_PROJECT'
stage: tests
image: r.intra.logilab.fr/jenkins/jnlp:buster
image: registry.logilab.fr/logilab/infra/dockerfiles/debian-buster-slim-pg11
allow_failure: true
before_script:
- sudo apt update && sudo apt install -y firefox-esr
......@@ -194,6 +204,9 @@ py3-from-forge-misc:
paths:
- /builds/cubicweb/cubicweb/from-forge-misc.html
- /builds/cubicweb/cubicweb/py3-from-forge-misc-deprecated-warnings.json
reports:
junit: /builds/cubicweb/cubicweb/from-forge-misc.xml
expire_in: 2 weeks
trigger-readthedocs:
rules:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment